| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/os-floating-ip-dns | Lists registered DNS domains published by the DNS drivers. |
Normal response codes: 200
This table shows the URI parameters for the list dns domains request:
| Name | Type | Description |
|---|---|---|
| String | The unique identifier of the tenant or account. |
This operation does not require a request body.
Example 3.175. List DNS domains: JSON response
{
"domain_entries": [
{
"availability_zone": null,
"domain": "domain1.example.org",
"project": "project1",
"scope": "public"
}
]
}Example 3.176. List DNS domains: XML response
<?xml version='1.0' encoding='UTF-8'?> <domain_entries> <domain_entry project="project1" scope="public" domain="domain1.example.org" availability_zone="None"/> </domain_entries>
This operation does not return a response body.

